Subject: [MIB-DOCTORS] FW: Questions on RFC 4293 Management Information Base for theInternet Protocol (IP)

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Wed, 21 Apr 2010 19:33:16 +0200

OPS-DIR and MIB-Doctors,
 
You may want to be aware about this discussion happening on some of the
IPv6 lists. 

Regards,

Dan

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Fred Baker
Sent: Wednesday, April 21, 2010 6:15 PM
To: Bill Fenner
Cc: Bill Fenner; Brian Haberman; IETF IPv6 Mailing List; [email-masked];
Bob Hinden; Dave Thaler; IPv6 v6ops; Brian Haberman
Subject: Re: Questions on RFC 4293 Management Information Base for
theInternet Protocol (IP)

"we didn't pay enough attention" is a very kind way to put it. The
entire SNMP exercise was about monitoring; those like me who tried to
make things writable pushed rocks uphill politically. That, and the
experience of trying to make event triggered management rather than
poll-driven management, is the major reason that I, personally, don't
want to have anything to do with network management in the IETF.

On Apr 21, 2010, at 4:53 AM, Bill Fenner wrote:

> [sorry if you get duplicates, replying from an address that actually
> *works* this time]
> 
> 2010/4/19 Tina TSOU <[email-masked]>:
>> In RFC 4293,
>> - ipAddressTable is described as writable, this table uses address as

>> index, but the critical information for configuring address, the 
>> address prefix ipAddressPrefix node is read-only. It seems contradict

>> to me.
> 
> Worse, the whole ipAddressPrefixTable is read-only, so you can't 
> insert a new row to try to point to.  This seems like we didn't pay 
> enough attention to making these configurable via SNMP.
> 
>> This table uses address as index, but the public network and VPN may 
>> have exactly the same IP address. This table does not explicitly say 
>> whether it only supports public network.
> 
> As with most MIBs, if you have multiple contexts on the device, you 
> need multiple instances of the MIB, usually using SNMPv3 contexts and 
> the entLogicalTable to associate SNMPv2 communities if needed.
> 
> Bill
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------

http://www.ipinc.net/IPv4.GIF

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------